#mainvisual{
    position: relative;
}
#mainvisual .mainvisuarl__img_area{
    position: relative;
    z-index: 10;
    display: flex;
    justify-content: flex-end;
}
#mainvisual .mainvisuarl__img{
    min-width: 1200px;
    mask-image: linear-gradient(to top, rgba(0,0,0,0) 0%, #000 10%);
}
#mainvisual .mainvisual__platforms{
    position: absolute;
    z-index: 10;
    top: 10px;
    left: 10px;
    display: flex;
    align-items: center;
    gap: 0 10px;
    /* width: clamp(100px,18%,200px); */
    width: clamp(150px,30%,250px);
}

#mainvisual .mainvisual__info{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    position: absolute;
    bottom: -10%;
    left: 0;
    width: 100%;
    z-index: 10;
}
#mainvisual .mainvisuarl__logo{
    width: 55%;
    padding-left: 40px;
    filter: drop-shadow(2px 4px 10px #000);
}
#mainvisual .mainvisual__release{
    width: 40%;
    font-size: clamp(2rem, 5vw, 4.3rem);
    padding-right: 40px;
    text-shadow: 0.05em 0.05em 2px #160E25;
    line-height: 1.2;
    text-align: center;
    letter-spacing: 0.1em;
}


@media screen and (max-width: 960px) {
    #mainvisual .mainvisuarl__img{
        min-width: max-content;
    }
    #mainvisual .mainvisuarl__img_area {
        position: relative;
        width: 100%;
        aspect-ratio: 300 / 250;
        overflow: hidden;
        display: block;
    }
    #mainvisual .mainvisuarl__img.show_960 {
        height: 100%;
        animation: mainvisual_move var(--duration) cubic-bezier(.4, 0, .6, 1) infinite alternate;
    }
    @keyframes mainvisual_move {
        from{
            transform:translateX(0);
        }
        to{
            transform:translateX(calc(var(--move) * -1));
        }
    }
    #mainvisual .mainvisuarl__img.show_960 img {
        display: block;
        height: 100%;
        width: auto;
        max-width: none;
    }
    #mainvisual .mainvisual__info {
        display: flex;
        position: relative;
        bottom: 0;
        flex-wrap: wrap;
        margin-top: clamp(-100px,-30vw,-200px);
    }
    #mainvisual .mainvisuarl__logo {
        width: 85%;
        padding-left: 0;
        margin: auto;
    }
    #mainvisual .mainvisual__release {
        width: 90%;
        font-size: clamp(2rem, 5vw, 4.3rem);
        padding-top: 0.5em;
        padding-right: 0;
        margin: auto;
    }
}
@media screen and (max-width: 640px) {
    #mainvisual .mainvisuarl__img_area{
        aspect-ratio: 30 / 40;
    }
}